Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.jvt
Class JVTComparator.PlanTableOperation

    java.lang.Object
      com.ejie.r01f.jvt.JVTComparator.PlanTableOperation

Enclosing class:
  JVTComparator

public class JVTComparator.PlanTableOperation
extends java.lang.Object

Field Summary
`java.lang.Object[]` | `args`
`static int` | `CHILD_OBJECT`
`int` | `operation`
`static int` | `OPERATION_ADD_COMPOSITION`
`static int` | `OPERATION_DELETE`
`static int` | `OPERATION_DELETE_COMPOSITION`
`static int` | `OPERATION_INSERT_NEW`
`static int` | `OPERATION_LINK_AGGREGATION`
`static int` | `OPERATION_UNLINK_AGGREGATION`
`static int` | `OPERATION_UPDATE_STATE`
`static int` | `PARENT_OBJECT`

Constructor Summary
`JVTComparator.PlanTableOperation()`
`JVTComparator.PlanTableOperation(int newOperation, java.lang.Object[] newArgs)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARENT_OBJECT

    public static final int PARENT_OBJECT

See Also:
  Constant Field Values

### CHILD_OBJECT

    public static final int CHILD_OBJECT

See Also:
  Constant Field Values

### OPERATION_UPDATE_STATE

    public static final int OPERATION_UPDATE_STATE

See Also:
  Constant Field Values

### OPERATION_INSERT_NEW

    public static final int OPERATION_INSERT_NEW

See Also:
  Constant Field Values

### OPERATION_DELETE

    public static final int OPERATION_DELETE

See Also:
  Constant Field Values

### OPERATION_LINK_AGGREGATION

    public static final int OPERATION_LINK_AGGREGATION

See Also:
  Constant Field Values

### OPERATION_UNLINK_AGGREGATION

    public static final int OPERATION_UNLINK_AGGREGATION

See Also:
  Constant Field Values

### OPERATION_ADD_COMPOSITION

    public static final int OPERATION_ADD_COMPOSITION

See Also:
  Constant Field Values

### OPERATION_DELETE_COMPOSITION

    public static final int OPERATION_DELETE_COMPOSITION

See Also:
  Constant Field Values

### operation

    public int operation

### args

    public java.lang.Object[] args

Constructor Detail

### JVTComparator.PlanTableOperation

    public JVTComparator.PlanTableOperation()

### JVTComparator.PlanTableOperation

    public JVTComparator.PlanTableOperation(int newOperation,
                                            java.lang.Object[] newArgs)

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD